# Copyright (C) 2012 Anaconda, Inc
# SPDX-License-Identifier: BSD-3-Clause
"""Register the conda env spec for environment.yml files."""

from .. import CondaEnvironmentSpecifier, hookimpl


@hookimpl
def conda_environment_specifiers():
    from ...env.specs.yaml_file import YamlFileSpec

    yield CondaEnvironmentSpecifier(
        name="environment.yml",
        environment_spec=YamlFileSpec,
    )
